/***********************************************************************
 *      This example program is an excerpt from the book:              *
 *                                                                     *
 *          X Window OSF/Motif Toolkit Programming (I)                 *
 *            - Programming Basics, Resource and Event -               *
 *                                                                     *
 *      Copyright 1994, Hideyuki Hayashi                               *
 *                                                                     *
 *      This program can be distributed without fee, provided          *
 *      that the above copyright notice appear in all copies.          *
 ***********************************************************************/

#include <Xm/XmAll.h>

main(argc, argv)
    int argc;
    char **argv;
{
    XtAppContext appcontext;
    Widget toplevel, panel, text, textf;
    Arg al[20];
    int ac;

    XtSetLanguageProc(NULL, NULL, NULL);

    ac = 0;
    toplevel = XtAppInitialize(&appcontext, "Emacslike", NULL, 0,
                               &argc, argv, NULL, al, ac);

    ac = 0;
    panel = XmCreateRowColumn(toplevel, "panel", al, ac);
    XtManageChild(panel);

    ac = 0;
    textf = XmCreateTextField(panel, "textf", al, ac);
    XtManageChild(textf);

    ac = 0;
    text = XmCreateText(panel, "text", al, ac);
    XtManageChild(text);

    XtRealizeWidget(toplevel);
    XtAppMainLoop(appcontext);
}
